xine-lib: demux_ts_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_ts_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
fifo_buffer_t * | video_fifo
input_plugin_t * | input
unsigned int | read_retries
int | status
int | hdmv
unsigned int | rate
unsigned int | media_num
demux_ts_media | media [(((188 - 4) - 1 - 13)/4)+40]
unsigned int | pat_length
uint32_t | pat_crc
unsigned int | pat_write_pos
uint32_t | transport_stream_id
int64_t | last_pat_time
int64_t | last_keyframe_time
uint32_t | pat_interval
uint32_t | keyframe_interval
frametype_t(* | get_frametype )(const uint8_t *f, uint32_t len)
demux_ts_pmt * | pmts [126]
uint32_t | programs [126+1]
unsigned int | pcr_pid
unsigned int | videoPid
unsigned int | videoMedia
demux_ts_audio_track | audio_tracks [32]
unsigned int | audio_tracks_count
int64_t | first_pts
int64_t | last_pts [2]
int64_t | apts
int64_t | bpts
int32_t | bounce_left
int | send_newpts
int | buf_flag_seek
unsigned int | scrambled_pids [(((188 - 4) - 1 - 13)/4)+40]
unsigned int | scrambled_npids
unsigned int | spu_pid
unsigned int | spu_media_index
demux_ts_spu_lang | spu_langs [32]
unsigned int | spu_langs_count
int | current_spu_channel
xine_event_queue_t * | event_queue
off_t | frame_pos
off_t | tbre_bytes
off_t | tbre_lastpos
int64_t | tbre_time
int64_t | tbre_lasttime
unsigned int | tbre_mode
unsigned int | tbre_pid
FILE * | vhdfile
int | enlarge_total
int | enlarge_ok
uint8_t | pat [(4 *126+20)]
uint8_t | pid_index [0x2000]
int | buf_pos
int | buf_size
int | buf_max
uint8_t | buf [(2 *9024)]

## Field Documentation

## ◆ apts

int64_t demux_ts_t::apts

## ◆ audio_fifo

fifo_buffer_t* demux_ts_t::audio_fifo

## ◆ audio_tracks

demux_ts_audio_track demux_ts_t::audio_tracks[32]

## ◆ audio_tracks_count

unsigned int demux_ts_t::audio_tracks_count

## ◆ bounce_left

int32_t demux_ts_t::bounce_left

## ◆ bpts

int64_t demux_ts_t::bpts

## ◆ buf

uint8_t demux_ts_t::buf[(2 *9024)]

## ◆ buf_flag_seek

int demux_ts_t::buf_flag_seek

## ◆ buf_max

int demux_ts_t::buf_max

## ◆ buf_pos

int demux_ts_t::buf_pos

## ◆ buf_size

int demux_ts_t::buf_size

## ◆ current_spu_channel

int demux_ts_t::current_spu_channel

## ◆ demux_plugin

demux_plugin_t demux_ts_t::demux_plugin

## ◆ enlarge_ok

int demux_ts_t::enlarge_ok

## ◆ enlarge_total

int demux_ts_t::enlarge_total

## ◆ event_queue

xine_event_queue_t* demux_ts_t::event_queue

## ◆ first_pts

int64_t demux_ts_t::first_pts

## ◆ frame_pos

off_t demux_ts_t::frame_pos

## ◆ get_frametype

frametype_t(* demux_ts_t::get_frametype) (const uint8_t *f, uint32_t len)

## ◆ hdmv

int demux_ts_t::hdmv

## ◆ input

input_plugin_t* demux_ts_t::input

## ◆ keyframe_interval

uint32_t demux_ts_t::keyframe_interval

## ◆ last_keyframe_time

int64_t demux_ts_t::last_keyframe_time

## ◆ last_pat_time

int64_t demux_ts_t::last_pat_time

## ◆ last_pts

int64_t demux_ts_t::last_pts[2]

## ◆ media

demux_ts_media demux_ts_t::media[(((188 - 4) - 1 - 13)/4)+40]

## ◆ media_num

unsigned int demux_ts_t::media_num

## ◆ pat

uint8_t demux_ts_t::pat[(4 *126+20)]

## ◆ pat_crc

uint32_t demux_ts_t::pat_crc

## ◆ pat_interval

uint32_t demux_ts_t::pat_interval

## ◆ pat_length

unsigned int demux_ts_t::pat_length

## ◆ pat_write_pos

unsigned int demux_ts_t::pat_write_pos

## ◆ pcr_pid

unsigned int demux_ts_t::pcr_pid

## ◆ pid_index

uint8_t demux_ts_t::pid_index[0x2000]

## ◆ pmts

demux_ts_pmt* demux_ts_t::pmts[126]

## ◆ programs

uint32_t demux_ts_t::programs[126+1]

## ◆ rate

unsigned int demux_ts_t::rate

## ◆ read_retries

unsigned int demux_ts_t::read_retries

## ◆ scrambled_npids

unsigned int demux_ts_t::scrambled_npids

## ◆ scrambled_pids

unsigned int demux_ts_t::scrambled_pids[(((188 - 4) - 1 - 13)/4)+40]

## ◆ send_newpts

int demux_ts_t::send_newpts

## ◆ spu_langs

demux_ts_spu_lang demux_ts_t::spu_langs[32]

## ◆ spu_langs_count

unsigned int demux_ts_t::spu_langs_count

## ◆ spu_media_index

unsigned int demux_ts_t::spu_media_index

## ◆ spu_pid

unsigned int demux_ts_t::spu_pid

## ◆ status

int demux_ts_t::status

## ◆ stream

xine_stream_t* demux_ts_t::stream

## ◆ tbre_bytes

off_t demux_ts_t::tbre_bytes

## ◆ tbre_lastpos

off_t demux_ts_t::tbre_lastpos

## ◆ tbre_lasttime

int64_t demux_ts_t::tbre_lasttime

## ◆ tbre_mode

unsigned int demux_ts_t::tbre_mode

## ◆ tbre_pid

unsigned int demux_ts_t::tbre_pid

## ◆ tbre_time

int64_t demux_ts_t::tbre_time

## ◆ transport_stream_id

uint32_t demux_ts_t::transport_stream_id

## ◆ vhdfile

FILE* demux_ts_t::vhdfile

## ◆ video_fifo

fifo_buffer_t* demux_ts_t::video_fifo

## ◆ videoMedia

unsigned int demux_ts_t::videoMedia

## ◆ videoPid

unsigned int demux_ts_t::videoPid

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_ts.c